package com.company.bio4.entity;

import com.company.bio4.entity.key.TlkpcsObjAdd10CompKey;
import io.jmix.core.metamodel.annotation.JmixEntity;
import io.jmix.data.DdlGeneration;
import jakarta.persistence.*;

@DdlGeneration(value = DdlGeneration.DbScriptGenerationMode.DISABLED)
@JmixEntity
@Table(name = "tlkpcsObjAdd10")
@Entity
public class TlkpcsObjAdd10 {
	@EmbeddedId
	private TlkpcsObjAdd10CompKey id;

	@Column(name = "lkpcsObjAdd10Active", nullable = false)
	private Boolean lkpcsObjAdd10Active = false;

	@JoinColumn(name = "lkpcsObjAdd10IdCollection")
	@MapsId
	@ManyToOne(fetch = FetchType.LAZY)
	private TCollection lkpcsObjAdd10IdCollection;

	@Column(name = "lkpcsObjAdd10Text1")
	private String lkpcsObjAdd10Text1;

	@Column(name = "lkpcsObjAdd10Text2")
	private String lkpcsObjAdd10Text2;

	public String getLkpcsObjAdd10Text2() {
		return lkpcsObjAdd10Text2;
	}

	public void setLkpcsObjAdd10Text2(String lkpcsObjAdd10Text2) {
		this.lkpcsObjAdd10Text2 = lkpcsObjAdd10Text2;
	}

	public String getLkpcsObjAdd10Text1() {
		return lkpcsObjAdd10Text1;
	}

	public void setLkpcsObjAdd10Text1(String lkpcsObjAdd10Text1) {
		this.lkpcsObjAdd10Text1 = lkpcsObjAdd10Text1;
	}

	public TCollection getLkpcsObjAdd10IdCollection() {
		return lkpcsObjAdd10IdCollection;
	}

	public void setLkpcsObjAdd10IdCollection(TCollection lkpcsObjAdd10IdCollection) {
		this.lkpcsObjAdd10IdCollection = lkpcsObjAdd10IdCollection;
	}

	public Boolean getLkpcsObjAdd10Active() {
		return lkpcsObjAdd10Active;
	}

	public void setLkpcsObjAdd10Active(Boolean lkpcsObjAdd10Active) {
		this.lkpcsObjAdd10Active = lkpcsObjAdd10Active;
	}

	public TlkpcsObjAdd10CompKey getId() {
		return id;
	}

	public void setId(TlkpcsObjAdd10CompKey id) {
		this.id = id;
	}
}