package com.company.bio4.entity.key;

import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Embeddable;
import jakarta.persistence.Entity;

import java.util.Objects;

@JmixEntity
@Embeddable
public class TlkpcsObjAdd1CompKey {
	@Column(name = "lkpcsObjAdd1Code", nullable = false, unique = true, length = 50)
	private String lkpcsObjAdd1Code;

	@Column(name = "lkpcsObjAdd1IdCollection", nullable = false, unique = true)
	private Integer lkpcsObjAdd1IdCollection;

	public Integer getLkpcsObjAdd1IdCollection() {
		return lkpcsObjAdd1IdCollection;
	}

	public void setLkpcsObjAdd1IdCollection(Integer lkpcsObjAdd1IdCollection) {
		this.lkpcsObjAdd1IdCollection = lkpcsObjAdd1IdCollection;
	}

	public String getLkpcsObjAdd1Code() {
		return lkpcsObjAdd1Code;
	}

	public void setLkpcsObjAdd1Code(String lkpcsObjAdd1Code) {
		this.lkpcsObjAdd1Code = lkpcsObjAdd1Code;
	}

	@Override
	public int hashCode() {
		return Objects.hash(lkpcsObjAdd1IdCollection, lkpcsObjAdd1Code);
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		TlkpcsObjAdd1CompKey entity = (TlkpcsObjAdd1CompKey) o;
		return Objects.equals(this.lkpcsObjAdd1IdCollection, entity.lkpcsObjAdd1IdCollection) &&
				Objects.equals(this.lkpcsObjAdd1Code, entity.lkpcsObjAdd1Code);
	}
}