package com.company.bio4.entity;

import com.company.bio4.entity.key.TlkpcsObjAdd1CompKey;
import io.jmix.core.metamodel.annotation.JmixEntity;
import io.jmix.data.DdlGeneration;
import jakarta.persistence.*;

@DdlGeneration(value = DdlGeneration.DbScriptGenerationMode.DISABLED)
@JmixEntity
@Table(name = "tlkpcsObjAdd1")
@Entity
public class TlkpcsObjAdd1 {
	@EmbeddedId
	private TlkpcsObjAdd1CompKey id;

	@Column(name = "lkpcsObjAdd1Active", nullable = false)
	private Boolean lkpcsObjAdd1Active = false;

	@JoinColumn(name = "lkpcsObjAdd1IdCollection")
	@MapsId
	@ManyToOne(fetch = FetchType.LAZY)
	private TCollection lkpcsObjAdd1IdCollection;

	@Column(name = "lkpcsObjAdd1Text1")
	private String lkpcsObjAdd1Text1;

	@Column(name = "lkpcsObjAdd1Text2")
	private String lkpcsObjAdd1Text2;

	public String getLkpcsObjAdd1Text2() {
		return lkpcsObjAdd1Text2;
	}

	public void setLkpcsObjAdd1Text2(String lkpcsObjAdd1Text2) {
		this.lkpcsObjAdd1Text2 = lkpcsObjAdd1Text2;
	}

	public String getLkpcsObjAdd1Text1() {
		return lkpcsObjAdd1Text1;
	}

	public void setLkpcsObjAdd1Text1(String lkpcsObjAdd1Text1) {
		this.lkpcsObjAdd1Text1 = lkpcsObjAdd1Text1;
	}

	public TCollection getLkpcsObjAdd1IdCollection() {
		return lkpcsObjAdd1IdCollection;
	}

	public void setLkpcsObjAdd1IdCollection(TCollection lkpcsObjAdd1IdCollection) {
		this.lkpcsObjAdd1IdCollection = lkpcsObjAdd1IdCollection;
	}

	public Boolean getLkpcsObjAdd1Active() {
		return lkpcsObjAdd1Active;
	}

	public void setLkpcsObjAdd1Active(Boolean lkpcsObjAdd1Active) {
		this.lkpcsObjAdd1Active = lkpcsObjAdd1Active;
	}

	public TlkpcsObjAdd1CompKey getId() {
		return id;
	}

	public void setId(TlkpcsObjAdd1CompKey id) {
		this.id = id;
	}
}