package com.company.bio4.entity.key;

import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Embeddable;
import jakarta.persistence.Entity;

import java.util.Objects;

@JmixEntity
@Embeddable
public class TlkpcsObjAdd10CompKey {
	@Column(name = "lkpcsObjAdd10Code", nullable = false, unique = true, length = 50)
	private String lkpcsObjAdd10Code;

	@Column(name = "lkpcsObjAdd10IdCollection", nullable = false, unique = true)
	private Integer lkpcsObjAdd10IdCollection;

	public Integer getLkpcsObjAdd10IdCollection() {
		return lkpcsObjAdd10IdCollection;
	}

	public void setLkpcsObjAdd10IdCollection(Integer lkpcsObjAdd10IdCollection) {
		this.lkpcsObjAdd10IdCollection = lkpcsObjAdd10IdCollection;
	}

	public String getLkpcsObjAdd10Code() {
		return lkpcsObjAdd10Code;
	}

	public void setLkpcsObjAdd10Code(String lkpcsObjAdd10Code) {
		this.lkpcsObjAdd10Code = lkpcsObjAdd10Code;
	}

	@Override
	public int hashCode() {
		return Objects.hash(lkpcsObjAdd10IdCollection, lkpcsObjAdd10Code);
	}

	@Override
	public boolean equals(Object o) {
		if (this == o) return true;
		if (o == null || getClass() != o.getClass()) return false;
		TlkpcsObjAdd10CompKey entity = (TlkpcsObjAdd10CompKey) o;
		return Objects.equals(this.lkpcsObjAdd10IdCollection, entity.lkpcsObjAdd10IdCollection) &&
				Objects.equals(this.lkpcsObjAdd10Code, entity.lkpcsObjAdd10Code);
	}
}